#{extends 'borderNG.html' /}

<div class="breadcrumb">&{'pegawai.headlist'}</div>
<div class="content">
#{alert /}
    <table class="table table-sm" id="tblPegawai">
            <thead>
            <tr>
                <th width="10"><input type="checkbox" class="checkall" /></th>
                <th>&{'pegawai.nama'}</th>
                <th>&{'pegawai.nip'}</th>
                <th width="120">&{'pegawai.userid'}</th>
                <th width="100">&{'pegawai.group'}</th>
	            #{if isOSD}
	            <th width="100">&{'pegawai.sertifikat'}</th>
	            #{/if}
            </tr>
            </thead>
            <tbody>
            </tbody>
    </table>
  	 #{addButton action:@admin.PegawaiCtr.edit() /}
</div>

#{set 'css_custom' } 
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript">  
var pegawaiView = #{jsRoute @admin.PegawaiCtr.view(':id') /};
var table = $("#tblPegawai").DataTable({
        ajax: "@{DataTableCtr.pegawai()}",
        columns: [{visible : false, sortable:true, render: function(data, type, row) {
        	 		var id = row[0];
                    var nama = row[1];
                    row[1] = "<a href='"+pegawaiView.url({id:id})+"'>"+nama+"</a>";
                    #{if isOSD}
                    if(row[5] != null) {
                    	var certView = #{jsRoute @admin.PegawaiCtr.viewCert(':id') /};
                    	row[5] = "<a href='"+certView.url({id:row[5]})+"'>"+row[5]+"</a>";
                    } else {
                    	row[5] = "";
                    }
                    #{/if}
                    return row[0];
        	}},null, null, null, null, #{if isOSD}null#{/if}#{else}{visible:false}#{/else}]
    });

    $('#tblPegawai_filter input').unbind();
    $('#tblPegawai_filter input').bind('keyup', function(e) {
        if(e.keyCode == 13) {
          table.search(this.value).draw();
         }
    });
</script>
#{/set}
